is.what {gdata} | R Documentation

## Run Multiple is.* Tests on a Given Object

### Description

Run multiple `is.*` tests on a given object: `is.na`, `is.numeric`, and many others.

### Usage

    is.what(object, verbose=FALSE)

### Arguments

`object` | any R object.
`verbose` | whether negative tests should be included in output.

### Value

A character vector containing positive tests, or when `verbose` is `TRUE`, a data frame showing all test results.

### Note

The following procedure is used to look for valid tests:

1. Find all objects named `is.*` in all loaded environments.

2. Discard objects that are not functions.

3. Include test result only if it is of class `"logical"`, not an `NA`, and of length 1.

### Author(s)

Arni Magnusson, inspired by `demo(is.things)`.

### See Also

`is.na` and `is.numeric` are commonly used tests.

### Examples

    is.what(pi)
    is.what(NA, verbose=TRUE)
    is.what(lm(1~1))
    is.what(is.what)

[Package gdata version 2.17.0 Index]